package com.miaxis.collection.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.collection.domain.CollectionInfo;
import com.miaxis.collection.vo.CollectionCustomerVo;
import com.miaxis.common.core.domain.Response;
import com.miaxis.common.core.domain.entity.UserInfo;

import java.util.List;

/**
 * 收藏Service接口
 * @Author wwl
 * @Date 2021/3/15
 * @Version 1.0
 */
public interface ICollectionInfoService extends IService<CollectionInfo> {

    /**
     * 查询用户收藏列表
     * @param userInfo
     * @return
     */
    List<CollectionCustomerVo> collectionList(UserInfo userInfo);

    /**
     * applet
     * 收藏商家
     * @param userInfo 当前用户
     * @param id 商家id
     * @return
     */
    Response collectionBusiness(UserInfo userInfo, Long id);

}
