package com.miaxis.product.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.product.domain.ProductTypeInfo;
import com.miaxis.product.vo.ProductTypeInfoVo;
import org.apache.ibatis.annotations.Param;

/**
 * 品类Mapper接口
 *
 * @author miaxis
 * @date 2021-03-11
 */
public interface ProductTypeInfoMapper extends BaseMapper<ProductTypeInfo> {
    /**
     * 查询品类列表
     *
     * @param productTypeInfo 品类
     * @return 品类集合
     */
    List<ProductTypeInfoVo> selectProductTypeInfoList(ProductTypeInfo productTypeInfo);

    /**
     * 获取品类详情信息
     * @param id
     * @return
     */
    ProductTypeInfoVo getProductDetailsById(@Param("id") Long id);
}
