package com.miaxis.product.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 品类对象 product_type_info
 *
 * @author miaxis
 * @date 2021-03-11
 */
@Data
@TableName("product_type_info")
@ApiModel(value = "ProductTypeInfoVo", description = "品类对象返回参")
public class ProductTypeInfoVo extends BaseBusinessEntity{

    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    @TableField("product_name")
    @ApiModelProperty(value = "分类名称")
    private String productName;

    @TableField("pid")
    @ApiModelProperty(value = "父节点（预留）")
    private Long pid;

    @TableField("product_describe")
    @ApiModelProperty(value = "分类描述，该分类名称的描述")
    private String productDescribe;

    @TableField("product_icon")
    @ApiModelProperty(value = "品类图标--对应file_info的id")
    private Integer productIcon;

    @ApiModelProperty(value = "品类图标访问地址")
    private String fileUrl;

    @TableField("status")
    @ApiModelProperty(value = "状态  0：有效(默认)、1：失效 （伪删除）")
    private Integer status;


}
