package com.miaxis.topic.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import com.miaxis.goods.domain.GoodsInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 专题对象入参
 *
 * @author miaxis
 * @date 2021-03-11
 */
@Data
@ApiModel(value = "TopicInfoDto", description = "专题对象入参")
public class TopicInfoDto extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "专题名称")
    private String topicName;

    @ApiModelProperty(value = "专题插图--对应file_info的id")
    private Long topicIllustration;

    @ApiModelProperty(value = "是否允许分享   0：是 、1：否")
    private Integer sharingStatus;

    @ApiModelProperty(value = "是否显示分享数量    0：是 、1：否")
    private Integer sharingNumberStatus;

    @ApiModelProperty(value = "是否允许评论   0：是 、1：否")
    private Integer commentStatus;

    @ApiModelProperty(value = "是否显示评论数量    0：是 、1：否")
    private Integer commentNumberStatus;

    @ApiModelProperty(value = "是否显示收藏数量   0：是 、1：否")
    private Integer collectionNumberStatus;

    @ApiModelProperty(value = "专题内容")
    private String topicContent;

    @ApiModelProperty(value = "状态  0：有效(默认)、1：失效 （伪删除）")
    private Integer status;

    @ApiModelProperty(value = "上架状态  0：已上架、1：未上架")
    private Integer shelfStatus;

    @ApiModelProperty(value = "商品集合")
    private List<GoodsInfo> goodsInfoList;

}
