package com.miaxis.topic.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import com.miaxis.goods.vo.GoodsInfoVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 专题对象返回参
 *
 * @author miaxis
 * @date 2021-03-11
 */
@Data
@ApiModel(value = "TopicInfoVo", description = "专题对象返回参")
public class TopicInfoVo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    @TableField("topic_name")
    @ApiModelProperty(value = "专题名称")
    private String topicName;

    @TableField("topic_illustration")
    @ApiModelProperty(value = "专题插图--对应file_info的id")
    private Long topicIllustration;

    @ApiModelProperty(value = "专题插图访问地址")
    private String fileUrl;

    @TableField("sharing_status")
    @ApiModelProperty(value = "是否允许分享   0：是 、1：否")
    private Integer sharingStatus;

    @TableField("sharing_number_status")
    @ApiModelProperty(value = "是否显示分享数量    0：是 、1：否")
    private Integer sharingNumberStatus;

    @TableField("comment_status")
    @ApiModelProperty(value = "是否允许评论   0：是 、1：否")
    private Integer commentStatus;

    @TableField("comment_number_status")
    @ApiModelProperty(value = "是否显示评论数量    0：是 、1：否")
    private Integer commentNumberStatus;

    @TableField("collection_number_status")
    @ApiModelProperty(value = "是否显示收藏数量   0：是 、1：否")
    private Integer collectionNumberStatus;

    @TableField("topic_content")
    @ApiModelProperty(value = "专题内容")
    private String topicContent;

    @TableField("shelf_status")
    @ApiModelProperty(value = "上架状态  0：已上架、1：未上架")
    private Integer shelfStatus;

    @ApiModelProperty(value = "状态  0：有效(默认)、1：失效 （伪删除）")
    private Integer status;

    @ApiModelProperty(value = "商品集合")
    private List<GoodsInfoVo> goodsInfoList;

}
